installFoundDepends {tools} | R Documentation

## A function to install unresolved dependencies

### Description

This function will take the `Found` element of a `pkgDependsList` object and attempt to install all of the listed packages from the specified repositories.

This function is deprecated since `pkgDependsList` objects are.

### Usage

    installFoundDepends(depPkgList, ...)

### Arguments

`depPkgList` | A `Found` element from a `pkgDependsList` object
`...` | Arguments to pass on to `install.packages`

### Details

This function takes as input the `Found` list from a `pkgDependsList` object. This list will have element names being URLs corresponding to repositories and the elements will be vectors of package names. For each element, `install.packages` is called for that URL to install all packages listed in the vector.

### Author(s)

Jeff Gentry

### See Also

`pkgDepends`, `install.packages`

### Examples

    ## Set up a temporary directory to install packages to
    tmp <- tempfile()
    dir.create(tmp)

    pDL <- pkgDepends("tools", local = FALSE)
    installFoundDepends(pDL$Found, destdir = tmp)

[Package tools version 3.3.2 Index]